Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589890 - Update dkms to include dracut support
Summary: Update dkms to include dracut support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dkms
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 08:31 UTC by Mike Fedyk
Modified: 2010-12-03 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:58:45 UTC


Attachments (Terms of Use)
dracut support v2 (deleted)
2010-05-11 08:06 UTC, Mike Fedyk
no flags Details | Diff

Description Mike Fedyk 2010-05-07 08:31:13 UTC
Description of problem:
Any use of dkms to produce an initramfs image fails and uninstalls the kernel module.

Version-Release number of selected component (if applicable):
2.1.0.1-1.fc12

How reproducible:
Every time

Steps to Reproduce:
1. Add REMAKE_INITRD="yes" to dkms.conf file
2. Attempt install
3.
  
Actual results:
Install fails, and module is uninstalled.

Expected results:
Install kernel module and make a new initramfs with dracut.

Additional info:
I have already posted tested patches to the dkms list.  Please update the package in fedora once a final result is reached.
http://lists.us.dell.com/pipermail/dkms-devel/2010-May/000990.html

Comment 1 Mike Fedyk 2010-05-10 17:42:37 UTC
The dracut patch should apply to the current version of dkms as well.  Maybe a patched package can be released without bumping the base version to fix this regression.

Comment 2 Mike Fedyk 2010-05-11 08:06:05 UTC
Created attachment 413062 [details]
dracut support v2

I tried extracting the patch from the mailing list's archives and it was html converted, so I figured it might be easier to get here.

Same patch as http://lists.us.dell.com/pipermail/dkms-devel/2010-May/000993.html

Comment 3 Matt Domsch 2010-10-05 05:24:23 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=2512742
building for rawhide (F15) includes the above patches.  If this looks good, I'll push it back to F14 too.

Comment 4 Matt Domsch 2010-10-06 02:43:51 UTC
Probably going to need additional fixes, says upstream...

From: Limonciello, Mario
Sent: Tuesday, October 05, 2010 5:46 PM
To: Domsch, Matt
Subject: Re: File dkms-2.1.1.2-gitb66d7406.tar.gz uploaded to lookaside cache by        mdomsch

The autoinstall command line option wasn't working properly on fedora.  I haven't tracked down why though.

Comment 5 Bug Zapper 2010-11-03 15:25:41 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 14:58:45 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.